<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:42 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>RegistrationDTO (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RegistrationDTO (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegistrationDTO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/dto/RegistrationCenterUserMachineMappingDto.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/dto/RegistrationIdDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dto/RegistrationDTO.html" target="_top">Frames</a></li>
<li><a href="RegistrationDTO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.dto</div>
<h2 title="Class RegistrationDTO" class="title">Class RegistrationDTO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../io/mosip/registration/dto/BaseDTO.html" title="class in io.mosip.registration.dto">io.mosip.registration.dto.BaseDTO</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.dto.RegistrationDTO</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">RegistrationDTO</span>
extends <a href="../../../../io/mosip/registration/dto/BaseDTO.html" title="class in io.mosip.registration.dto">BaseDTO</a></pre>
<div class="block">This class contains the Registration details.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dinesh Asokan, Balaji Sridharan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#RegistrationDTO--">RegistrationDTO</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/dto/AuditDTO.html" title="class in io.mosip.registration.dto">AuditDTO</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#getAuditDTOs--">getAuditDTOs</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#getAuditLogEndTime--">getAuditLogEndTime</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#getAuditLogStartTime--">getAuditLogStartTime</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/dto/biometric/BiometricDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#getBiometricDTO--">getBiometricDTO</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/dto/demographic/DemographicDTO.html" title="class in io.mosip.registration.dto.demographic">DemographicDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#getDemographicDTO--">getDemographicDTO</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/dto/OSIDataDTO.html" title="class in io.mosip.registration.dto">OSIDataDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#getOsiDataDTO--">getOsiDataDTO</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#getPreRegistrationId--">getPreRegistrationId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#getRegistrationId--">getRegistrationId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html" title="class in io.mosip.registration.dto">RegistrationMetaDataDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#getRegistrationMetaDataDTO--">getRegistrationMetaDataDTO</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/dto/SelectionListDTO.html" title="class in io.mosip.registration.dto">SelectionListDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#getSelectionListDTO--">getSelectionListDTO</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#setAuditDTOs-java.util.List-">setAuditDTOs</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/dto/AuditDTO.html" title="class in io.mosip.registration.dto">AuditDTO</a>&gt;&nbsp;auditDTOs)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#setAuditLogEndTime-java.sql.Timestamp-">setAuditLogEndTime</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;auditLogEndTime)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#setAuditLogStartTime-java.sql.Timestamp-">setAuditLogStartTime</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;auditLogStartTime)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#setBiometricDTO-io.mosip.registration.dto.biometric.BiometricDTO-">setBiometricDTO</a></span>(<a href="../../../../io/mosip/registration/dto/biometric/BiometricDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricDTO</a>&nbsp;biometricDTO)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#setDemographicDTO-io.mosip.registration.dto.demographic.DemographicDTO-">setDemographicDTO</a></span>(<a href="../../../../io/mosip/registration/dto/demographic/DemographicDTO.html" title="class in io.mosip.registration.dto.demographic">DemographicDTO</a>&nbsp;demographicDTO)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#setOsiDataDTO-io.mosip.registration.dto.OSIDataDTO-">setOsiDataDTO</a></span>(<a href="../../../../io/mosip/registration/dto/OSIDataDTO.html" title="class in io.mosip.registration.dto">OSIDataDTO</a>&nbsp;osiDataDTO)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#setPreRegistrationId-java.lang.String-">setPreRegistrationId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;preRegistrationId)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#setRegistrationId-java.lang.String-">setRegistrationId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;registrationId)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#setRegistrationMetaDataDTO-io.mosip.registration.dto.RegistrationMetaDataDTO-">setRegistrationMetaDataDTO</a></span>(<a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html" title="class in io.mosip.registration.dto">RegistrationMetaDataDTO</a>&nbsp;registrationMetaDataDTO)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationDTO.html#setSelectionListDTO-io.mosip.registration.dto.SelectionListDTO-">setSelectionListDTO</a></span>(<a href="../../../../io/mosip/registration/dto/SelectionListDTO.html" title="class in io.mosip.registration.dto">SelectionListDTO</a>&nbsp;selectionListDTO)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RegistrationDTO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RegistrationDTO</h4>
<pre>public&nbsp;RegistrationDTO()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBiometricDTO--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBiometricDTO</h4>
<pre>public&nbsp;<a href="../../../../io/mosip/registration/dto/biometric/BiometricDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricDTO</a>&nbsp;getBiometricDTO()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the biometricDTO</dd>
</dl>
</li>
</ul>
<a name="setBiometricDTO-io.mosip.registration.dto.biometric.BiometricDTO-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBiometricDTO</h4>
<pre>public&nbsp;void&nbsp;setBiometricDTO(<a href="../../../../io/mosip/registration/dto/biometric/BiometricDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricDTO</a>&nbsp;biometricDTO)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>biometricDTO</code> - the biometricDTO to set</dd>
</dl>
</li>
</ul>
<a name="getDemographicDTO--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDemographicDTO</h4>
<pre>public&nbsp;<a href="../../../../io/mosip/registration/dto/demographic/DemographicDTO.html" title="class in io.mosip.registration.dto.demographic">DemographicDTO</a>&nbsp;getDemographicDTO()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the demographicDTO</dd>
</dl>
</li>
</ul>
<a name="setDemographicDTO-io.mosip.registration.dto.demographic.DemographicDTO-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDemographicDTO</h4>
<pre>public&nbsp;void&nbsp;setDemographicDTO(<a href="../../../../io/mosip/registration/dto/demographic/DemographicDTO.html" title="class in io.mosip.registration.dto.demographic">DemographicDTO</a>&nbsp;demographicDTO)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>demographicDTO</code> - the demographicDTO to set</dd>
</dl>
</li>
</ul>
<a name="getRegistrationId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRegistrationId</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getRegistrationId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the registrationId</dd>
</dl>
</li>
</ul>
<a name="setRegistrationId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRegistrationId</h4>
<pre>public&nbsp;void&nbsp;setRegistrationId(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;registrationId)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>registrationId</code> - the registrationId to set</dd>
</dl>
</li>
</ul>
<a name="getPreRegistrationId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPreRegistrationId</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPreRegistrationId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the preRegistrationId</dd>
</dl>
</li>
</ul>
<a name="setPreRegistrationId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPreRegistrationId</h4>
<pre>public&nbsp;void&nbsp;setPreRegistrationId(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;preRegistrationId)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>preRegistrationId</code> - the preRegistrationId to set</dd>
</dl>
</li>
</ul>
<a name="getRegistrationMetaDataDTO--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRegistrationMetaDataDTO</h4>
<pre>public&nbsp;<a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html" title="class in io.mosip.registration.dto">RegistrationMetaDataDTO</a>&nbsp;getRegistrationMetaDataDTO()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the registrationMetaDataDTO</dd>
</dl>
</li>
</ul>
<a name="setRegistrationMetaDataDTO-io.mosip.registration.dto.RegistrationMetaDataDTO-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRegistrationMetaDataDTO</h4>
<pre>public&nbsp;void&nbsp;setRegistrationMetaDataDTO(<a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html" title="class in io.mosip.registration.dto">RegistrationMetaDataDTO</a>&nbsp;registrationMetaDataDTO)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>registrationMetaDataDTO</code> - the registrationMetaDataDTO to set</dd>
</dl>
</li>
</ul>
<a name="getOsiDataDTO--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOsiDataDTO</h4>
<pre>public&nbsp;<a href="../../../../io/mosip/registration/dto/OSIDataDTO.html" title="class in io.mosip.registration.dto">OSIDataDTO</a>&nbsp;getOsiDataDTO()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the osiDataDTO</dd>
</dl>
</li>
</ul>
<a name="setOsiDataDTO-io.mosip.registration.dto.OSIDataDTO-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOsiDataDTO</h4>
<pre>public&nbsp;void&nbsp;setOsiDataDTO(<a href="../../../../io/mosip/registration/dto/OSIDataDTO.html" title="class in io.mosip.registration.dto">OSIDataDTO</a>&nbsp;osiDataDTO)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>osiDataDTO</code> - the osiDataDTO to set</dd>
</dl>
</li>
</ul>
<a name="getAuditDTOs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAuditDTOs</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/dto/AuditDTO.html" title="class in io.mosip.registration.dto">AuditDTO</a>&gt;&nbsp;getAuditDTOs()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the auditDTOs</dd>
</dl>
</li>
</ul>
<a name="setAuditDTOs-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAuditDTOs</h4>
<pre>public&nbsp;void&nbsp;setAuditDTOs(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/dto/AuditDTO.html" title="class in io.mosip.registration.dto">AuditDTO</a>&gt;&nbsp;auditDTOs)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>auditDTOs</code> - the auditDTOs to set</dd>
</dl>
</li>
</ul>
<a name="getSelectionListDTO--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelectionListDTO</h4>
<pre>public&nbsp;<a href="../../../../io/mosip/registration/dto/SelectionListDTO.html" title="class in io.mosip.registration.dto">SelectionListDTO</a>&nbsp;getSelectionListDTO()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the selectionListDTO</dd>
</dl>
</li>
</ul>
<a name="setSelectionListDTO-io.mosip.registration.dto.SelectionListDTO-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSelectionListDTO</h4>
<pre>public&nbsp;void&nbsp;setSelectionListDTO(<a href="../../../../io/mosip/registration/dto/SelectionListDTO.html" title="class in io.mosip.registration.dto">SelectionListDTO</a>&nbsp;selectionListDTO)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>selectionListDTO</code> - the selectionListDTO to set</dd>
</dl>
</li>
</ul>
<a name="getAuditLogStartTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAuditLogStartTime</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;getAuditLogStartTime()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the auditLogStartTime</dd>
</dl>
</li>
</ul>
<a name="setAuditLogStartTime-java.sql.Timestamp-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAuditLogStartTime</h4>
<pre>public&nbsp;void&nbsp;setAuditLogStartTime(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;auditLogStartTime)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>auditLogStartTime</code> - the auditLogStartTime to set</dd>
</dl>
</li>
</ul>
<a name="getAuditLogEndTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAuditLogEndTime</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;getAuditLogEndTime()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the auditLogEndTime</dd>
</dl>
</li>
</ul>
<a name="setAuditLogEndTime-java.sql.Timestamp-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setAuditLogEndTime</h4>
<pre>public&nbsp;void&nbsp;setAuditLogEndTime(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;auditLogEndTime)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>auditLogEndTime</code> - the auditLogEndTime to set</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegistrationDTO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/dto/RegistrationCenterUserMachineMappingDto.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/dto/RegistrationIdDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dto/RegistrationDTO.html" target="_top">Frames</a></li>
<li><a href="RegistrationDTO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
